#include "stdafx.h"
#include "matrixmath.h"


//////////Initialization/////////////////
MatrixMath::MatrixMath() 
{
	bIsMatrixInstance = false;
}
MatrixMath::MatrixMath(/*in*/int iColumns,/*in*/int iRows) 
{
	iColumns++;
}
	
////////////////MatrixDataFunctions///////////////////
bool MatrixMath::addRow(/*in*/float fInRow)
{
	return true;
}

void MatrixMath::changeRow(/*in*/float fInRow,/*in*/int iRowNum)
{
	//Stub
}
void MatrixMath::changeElement(/*in*/float fElement,/*in*/int iColNum,/*in*/int iRowNum)
{
	//Stub
}

void MatrixMath::multiply(float *pMatrix1, int ii, int ij, float *pMatrix2, int ik, int il, float *pMatrix3) {

	float j = 0;
	//clear pMatrix3 here;
	for(int i = 0; i < ij*ik; i++) {
		pMatrix3[i] = 0;
	}
	
	//Multiply the matricies
	for(int ip = 0; ip < ij; ip++) {
		for(int im = 0; im < ik; im++) {
			for(int in = 0; in < ii; in++) {
				pMatrix3[(ii*ip) + im] += (pMatrix1[((ii*ip) + in)]) * (pMatrix2[((ik*in) + im)]);
			}
		}
	}
}

	
////////////MathFunctions/////////////////
void MatrixMath::dot()
{
	//Stub
}

void MatrixMath::add()
{
	//Stub
}

void MatrixMath::cross()
{
	//Stub
}

